package com.eactive.eai.batch.flowController;

import com.eactive.eai.batch.common.StringUtil;

import java.io.Serializable;

/**
* 1. 기능 : 요구송수신을 위한 연결정보를 나타내는 Value Object
*
* 2. 처리 개요 :
*
* 3. 주의사항
*
* @author  : YCLee   2006/1/11
* @version : v 1.0.0
* @see :
* @since   :JDK v1.4.2
*/
public class DemandTargetVO implements Serializable
{
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	//대외기관 연결 상태 상수 설정
    public static final String ORGAN_SOCKET_STATUS_NORNAL   = "1";  //정상 (DB에 저장되는 값임)
    public static final String ORGAN_SOCKET_STATUS_ERROR    = "0";  //장애 (DB에 저장되는 값임)
    
    
    private String systemConnCode;

    /**
     *  연결기관의 IP
     */
    private String ipAddress;

    /**
     *  연결기관의 port number
     */
    private String portNumber;


    /**
     *  소켓연결시 사용하는 ID
     */
    private String socketID;


    /**
     *  소켓연결시 사용하는 패스워드
     */
    private String socketPwd;


    /**
     *  연결 Timeout 간격
     */
    private String timeoutInterval;
    
    //대외기관 망상태
    private String organSocketStatus;
    public void   setOrganSocketStatus(String arg) { organSocketStatus = arg;  }
    public String getOrganSocketStatus()           { return organSocketStatus; }


    /**
     * 1. 기능 : Defualt Constructor
     * 2. 처리 개요 :
     *    - Defualt Constructor
     * 3. 주의사항
     *
     **/
    public DemandTargetVO() {
    }

    /**
     * 1. 기능 : IP, Port만 입력받는 생성자
     * 2. 처리 개요 :
     * 3. 주의사항
     *
     * @param   IP, Port
     **/
    public DemandTargetVO(String systemConnCode, String ipAddress, String portNumber, String socketID, String socketPwd, String timeoutInterval, String organSocketStatus) {
        this.systemConnCode  = StringUtil.nvlTrim(systemConnCode);
        this.ipAddress       = StringUtil.nvlTrim(ipAddress);
        this.portNumber      = StringUtil.nvlTrim(portNumber);
        this.socketID        = StringUtil.nvlTrim(socketID);
        this.socketPwd       = StringUtil.nvlTrim(socketPwd);
        this.timeoutInterval = StringUtil.nvlTrim(timeoutInterval);
        this.organSocketStatus     = StringUtil.nvlTrim(organSocketStatus);
    }

    public void setSystemConnCode(String systemConnCode)
    {
        this.systemConnCode = systemConnCode;
    }

    public String getSystemConnCode()
    {
        return this.systemConnCode;
    }

    public void setIpAddress(String ipAddress)
    {
        this.ipAddress = ipAddress;
    }

    public String getIpAddress()
    {
        return this.ipAddress;
    }

    public void setPortNumber(String portNumber)
    {
        this.portNumber = portNumber;
    }

    public String getPortNumber()
    {
        return this.portNumber;
    }

    public void setSocketID(String socketID)
    {
        this.socketID = socketID;
    }

    public String getSocketID()
    {
        return this.socketID;
    }

    public void setSocketPwd(String socketPwd)
    {
        this.socketPwd = socketPwd;
    }

    public String getSocketPwd()
    {
        return this.socketPwd;
    }

    public void setTimeoutInterval(String timeoutInterval)
    {
        this.timeoutInterval = timeoutInterval;
    }

    public String getTimeoutInterval()
    {
        return this.timeoutInterval;
    }

}
